#ifndef USBDISKFUNCDIALOG_H
#define USBDISKFUNCDIALOG_H

#include <LoQClass/loqdialog.h>

namespace Ui {
class UsbDiskFuncDialog;
}

class UsbDiskFuncDialog : public LoQDialog
{
    Q_OBJECT

public:
    explicit UsbDiskFuncDialog(QWidget *parent = nullptr);
    ~UsbDiskFuncDialog();
    void SetPathDefault(QString strPath);
private:
    Ui::UsbDiskFuncDialog *ui;
signals:
    void sigAcceptData(QString string1,  QString string2);
protected slots:
    void onAccepted();
    void onSelectOutPath();
};

#endif // USBDISKFUNCDIALOG_H
